Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154881 - kernel-smp-2.6.11-1.14_FC3 breaks VMware
Summary: kernel-smp-2.6.11-1.14_FC3 breaks VMware
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 17:52 UTC by Bernd Bartmann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-14 19:28:57 UTC


Attachments (Terms of Use)

Description Bernd Bartmann 2005-04-14 17:52:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
The update to kernel-smp-2.6.11-1.14_FC3 breaks VMware. The modules can't be compiled:

[root@riker ~]# vmware-config.pl
Making sure services for VMware Workstation are stopped.

Stopping VMware services:
   Virtual machine monitor                                 [  OK  ]
   Bridged networking on /dev/vmnet0                       [  OK  ]
   Virtual ethernet                                        [  OK  ]

Trying to find a suitable vmmon module for your running kernel.

None of the pre-built vmmon modules for VMware Workstation is suitable for your
running kernel.  Do you want this program to try to build the vmmon module for
your system (you need to have a C compiler installed on your system)? [yes]

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.11-1.14_FC3smp/build/include]

Extracting the sources of the vmmon module.

Building the vmmon module.


Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config1/vmmon-only'
make -C /lib/modules/2.6.11-1.14_FC3smp/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/lib/modules/2.6.11-1.14_FC3smp/build'
  CC [M]  /tmp/vmware-config1/vmmon-only/linux/driver.o
  CC [M]  /tmp/vmware-config1/vmmon-only/linux/hostif.o
In file included from /tmp/vmware-config1/vmmon-only/linux/hostif.c:68:
/tmp/vmware-config1/vmmon-only/./include/pgtbl.h: In function `PgtblVa2PTELocked':
/tmp/vmware-config1/vmmon-only/./include/pgtbl.h:81: Fehler: Anfrage nach Element »pgd« in etwas, was keine Struktur oder Variante ist
make[2]: *** [/tmp/vmware-config1/vmmon-only/linux/hostif.o] Fehler 1
make[1]: *** [_module_/tmp/vmware-config1/vmmon-only] Fehler 2
make[1]: Leaving directory `/lib/modules/2.6.11-1.14_FC3smp/build'
make: *** [vmmon.ko] Fehler 2
make: Leaving directory `/tmp/vmware-config1/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".

Execution aborted.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1. try to compile the VMware modules
2.
3.
  

Additional info:

Comment 1 Dave Jones 2005-04-14 19:28:57 UTC
vmware problem


Comment 2 taj 2005-04-18 04:39:49 UTC
This is vmware's problem.  But it may be of use to those that run into this
problem to know that there is a package available that tries to keep up with the
latest kernel changes.

http://ftp.cvut.cz/vmware/

Currently the latest package appears to be:

http://ftp.cvut.cz/vmware/vmware-any-any-update90.tar.gz

They usually shadow the kernel changes by a couple weeks.




Note You need to log in before you can comment on or make changes to this bug.